Event Markers

List Event Marker Collections

Returns all marker collections configured for a project.

GET
/v0/project/{idOrSlug}/event-marker-collections

Returns all marker collections configured for a project.

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/event-marker-collections"
[  {    "id": "string",    "projectId": "string",    "name": "string",    "description": "string",    "sourceType": "manual",    "sourceOptions": {      "downloadAnalytics": {        "providers": [          "string"        ],        "versionPattern": "string",        "channel": "string"      }    },    "defaultIcon": "string",    "defaultEmoji": "string",    "defaultColor": "string",    "grouping": "auto",    "visibility": "private",    "createdAt": "string",    "updatedAt": "string"  }]
{  "_tag": "EventMarkerValidationError",  "message": "string"}
{  "_tag": "UnauthorizedError",  "message": "string"}
{  "_tag": "ForbiddenError",  "message": "string",  "code": "string"}
{  "_tag": "NotFoundError",  "message": "string"}